SoClipPlaneElement(3)

NAME
SoClipPlaneElement - The SoClipPlaneElement class is used to manage the clip plane stack.

SYNOPSIS

#include <Inventor/elements/SoClipPlaneElement.h>

Inherits SoAccumulatedElement.

Inherited by SoGLClipPlaneElement.

  Public Member Functions
virtual void init (SoState *state)
virtual void push (SoState *state)
int getNum (void) const
const SbPlane & get (const int index, const SbBool inworldspace=TRUE) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void add (SoState *const state, SoNode *const node, const SbPlane &plane)
static const SoClipPlaneElement * getInstance (SoState *const state)

  Protected Member Functions
virtual ~SoClipPlaneElement ()
virtual void addToElt (const SbPlane &plane, const SbMatrix &modelmatrix)

  Protected Attributes
SbList< so_plane_data > planes
int startIndex

  Additional Inherited Members

Detailed Description

The SoClipPlaneElement class is used to manage the clip plane stack.

Constructor & Destructor Documentation

  SoClipPlaneElement::~SoClipPlaneElement () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoClipPlaneElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoClipPlaneElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoClipPlaneElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoClipPlaneElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoClipPlaneElement::init (SoState * state) [virtual]
This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects.

Reimplemented from SoAccumulatedElement.

Reimplemented in SoGLClipPlaneElement.

  void SoClipPlaneElement::push (SoState * state) [virtual]
This method is called every time a new element is required in one of the stacks. This happens when a writable element is requested, using SoState::getElement() or indirectly SoElement::getElement(), and the depth of the current element is less than the state depth.

Override this method if your element needs to copy data from the previous top of stack. The push() method is called on the new element, and the previous element can be found using SoElement::getNextInStack().

Reimplemented from SoAccumulatedElement.

  void SoClipPlaneElement::add (SoState *const state, SoNode *const node, const SbPlane & plane) [static]
Adds plane as an active plane. Calls addToElt() to do the job.

  const SoClipPlaneElement * SoClipPlaneElement::getInstance (SoState *const state) [static]
Returns the current (top-of-stack) element.

  int SoClipPlaneElement::getNum (void) const
Returns the current number of active clipping planes.

  const SbPlane & SoClipPlaneElement::get (const int index, const SbBool inworldspace = TRUE) const
Returns the index'th plane.

  void SoClipPlaneElement::addToElt (const SbPlane & plane, const SbMatrix & modelMatrix) [protected], [virtual]
This method adds the clipping plane, plane, to an instance. modelmatrix is the current model matrix.

Reimplemented in SoGLClipPlaneElement.

Member Data Documentation

  SoClipPlaneElement::planes [protected]
List of currently active planes.

  SoClipPlaneElement::startIndex [protected]
Index of first clip plane in this element. Used to disable clip planes in SoGLClipPlaneElement::pop().

Author

Generated automatically by Doxygen for Coin from the source code.